Retrieve External Account by ID
Overview
You can retrieve information for a specific external account by issuing a GET request to either the production or staging environment.
Resource Access
Production (api.ahrvo.network)
GET https://api.ahrvo.network/banking/us2/v1/customer/id/{placeholder('id')}/externalAccount/id/{placeholder('id')}
Staging (gateway.ahrvo.network)
GET https://gateway.ahrvo.network/banking/us2/v1/customer/id/{placeholder('id')}/externalAccount/id/{placeholder('id')}
Example Request (production)
GET /banking/us2//v1/customer/id/4052981/externalAccount/id/2 HTTP/1.1
Host: api.ahrvo.network
Authorization: Bearer {placeholder('JWT token')}
x-api-key: {apiKey}
Content-Type: application/json
(For staging, replace api.ahrvo.network with gateway.ahrvo.network in both the Host header and URL.)
Example Response — account existing outside the system
{
"resourceName": "externalAccount",
"url": "v1/customer/id/4218605/externalAccount/id/4055455",
"id": 4055455,
"tags": ["Jon's external acc"],
"externalId": "EID28974278235111783196",
"metaData": { "label": "EA for Jon" },
"type": "SAVINGS",
"holderName": "Ronny Francis",
"holderPhone": "573-986-1372",
"holderAddress": {
"addressLine1": "999",
"addressLine2": "GT1 KMB",
"city": "Arizona",
"state": "AZ",
"zip": "85002"
},
"accountNumberLast4": "0001",
"holderType": "CONSUMER",
"routingNumber": "011000015",
"wireRoutingNumber": "011000015",
"status": "PENDING_VERIFICATION",
"statusReason": "External Account Pending Verification",
"statusDate": "04/21/2025 11:12:32",
"bankInfo": {
"contactNumber": "457-372-2457",
"address": "1000 PEACHTREE ST N.E.,ATLANTA,GA,30309",
"name": "FEDERAL RESERVE BANK",
"routingNumber": "011000015"
},
"wireBankInfo": {
"contactNumber": "457-372-2457",
"address": "1000 PEACHTREE ST N.E.,ATLANTA,GA,30309",
"name": "FEDERAL RESERVE BANK",
"routingNumber": "011000015"
},
"validateAccount": [
{
"ews": {
"status": "PENDING",
"statusReason": "PENDING",
"statusDate": "04/21/2025 11:12:32"
}
}
],
"prenote": { "prenoteValidation": "NEVER" },
"microDeposit": { "microDepositValidation": "NEVER" },
"verification": {
"ofacStatus": "VERIFIED",
"ofacStatusReason": "Verified by Third Party",
"ofacStatusDate": "04/21/2025 11:12:32"
},
"lastUpdatedOn": "04/21/2025 11:12:32",
"createdOn": "04/21/2025 11:12:32",
"createdBy": {
"userType": "API_USER",
"username": "nikhil.thakur+39340430393@prth.com",
"status": "ACTIVE"
},
"lastUpdatedBy": {
"userType": "SYSTEM",
"username": "SYSTEM",
"status": "ACTIVE"
},
"encryptedAccountNumber": "ITmZST7q9vbuIB2JS6/K5g==",
"validateInstantly": {
"status": "NOT_FOUND",
"statusReason": "Account Not Found",
"statusDate": "04/21/2025 11:27:20"
}
}
Example Response — account identified as a Ahrvo account
{
"resourceName": "externalAccount",
"url": "v1/customer/id/4218605/externalAccount/id/4055459",
"id": 4055459,
"tags": ["Allyn's external acc"],
"externalId": "EID28932",
"metaData": { "label": "EA for Allyn" },
"type": "SAVINGS",
"holderName": "Allyn Johnson",
"holderPhone": "573-986-1372",
"holderAddress": {
"addressLine1": "999",
"addressLine2": "GT1 KMB",
"city": "Arizona",
"state": "AZ",
"zip": "85002"
},
"accountNumberLast4": "5728",
"holderType": "CONSUMER",
"routingNumber": "122287251",
"status": "ACTIVE",
"statusReason": "VERIFIED_BY_SYSTEM",
"statusDate": "04/21/2025 11:38:50",
"bankInfo": {
"contactNumber": "200-350-6200",
"address": "4350 LA JOLLA VILLAGE DR STE 140,SAN DIEGO,CA,92122",
"name": "AXOS BANK",
"routingNumber": "122287251"
},
"validateAccount": [
{
"ews": {
"status": "NOT_REQUIRED",
"statusReason": "NOT_REQUIRED",
"statusDate": "04/21/2025 11:32:21"
}
}
],
"prenote": { "prenoteValidation": "NEVER" },
"microDeposit": { "microDepositValidation": "NEVER" },
"verification": {
"ofacStatus": "VERIFIED",
"ofacStatusReason": "Verified by Third Party",
"ofacStatusDate": "04/21/2025 11:32:22"
},
"lastUpdatedOn": "04/21/2025 11:38:50",
"createdOn": "04/21/2025 11:32:21",
"createdBy": {
"userType": "API_USER",
"username": "nikhil.thakur+39340430393@prth.com",
"status": "ACTIVE"
},
"lastUpdatedBy": {
"userType": "SYSTEM",
"username": "SYSTEM",
"status": "ACTIVE"
},
"encryptedAccountNumber": "UMMgH+bRBSam5FaoBdKIUw==",
"validateInstantly": {
"status": "OPEN",
"statusReason": "VERIFIED_BY_SYSTEM",
"statusDate": "04/21/2025 11:38:50"
}
}